summaryrefslogtreecommitdiffstats
path: root/scripts/test-xprog.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/test-xprog.sh')
-rwxr-xr-xscripts/test-xprog.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/scripts/test-xprog.sh b/scripts/test-xprog.sh
new file mode 100755
index 000000000..899c95543
--- /dev/null
+++ b/scripts/test-xprog.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+set -e
+[[ $1 =~ (github.com.*)/_test ]] && \
+ echo Testing ${BASH_REMATCH[1]}
+coverprofile=`pwd`/cprofile.out
+if [[ $1 == *"/enterprise/"* ]]; then
+ cd "$(dirname "$(dirname "${BASH_SOURCE[0]}")")"
+fi
+"$@" -test.coverprofile "$coverprofile"